Subject: Re: bug#38771: Allow face-attribute to be 'reset, (in addition the usual 'unspecified and valid-values)

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2022 11:57:25 +0200

Eli Zaretskii <[email-masked]> writes:

> I've now implemented this on master. 

Great!

I'm getting the following compilation warning (gcc (Ubuntu
11.2.0-19ubuntu1)) now:

In file included from xfaces.c:226:
xfaces.c: In function ‘Finternal_set_lisp_face_attribute’:
lisp.h:337:26: warning: ‘tmp’ may be used uninitialized in this function [-Wmaybe-uninitialized]
  337 | #  define lisp_h_XLI(o) ((EMACS_INT) (o))
      |                          ^
xfaces.c:3539:23: note: ‘tmp’ was declared here
 3539 |           Lisp_Object tmp;
      |                       ^~~

(I haven't checked whether it's a valid warning or not.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no